karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Benson Margulies (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (KARAF-4071) Tell me what bundle has a version 1 manifest, please.
Date Mon, 09 Nov 2015 16:17:11 GMT

     [ https://issues.apache.org/jira/browse/KARAF-4071?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Benson Margulies resolved KARAF-4071.
-------------------------------------
    Resolution: Invalid

> Tell me what bundle has a version 1 manifest, please.
> -----------------------------------------------------
>
>                 Key: KARAF-4071
>                 URL: https://issues.apache.org/jira/browse/KARAF-4071
>             Project: Karaf
>          Issue Type: Improvement
>    Affects Versions: 4.0.2
>            Reporter: Benson Margulies
>
> Caused by: org.osgi.framework.BundleException: Unable to build resource for mvn:com.basistech.ws/rosapi-worker-res-sdk/1.5.0-SNAPSHOT:
Unsupported 'Bundle-ManifestVersion' value: 1
> 	at org.apache.karaf.features.internal.resolver.ResourceBuilder.build(ResourceBuilder.java:80)[6:org.apache.karaf.features.core:4.0.2]
> 	at org.apache.karaf.features.internal.resolver.ResourceBuilder.build(ResourceBuilder.java:69)[6:org.apache.karaf.features.core:4.0.2]
> 	at org.apache.karaf.features.internal.region.Subsystem.createResource(Subsystem.java:565)[6:org.apache.karaf.features.core:4.0.2]
> 	... 15 more
> Caused by: org.osgi.framework.BundleException: Unsupported 'Bundle-ManifestVersion' value:
1
> 	at org.apache.karaf.features.internal.resolver.ResourceBuilder.doBuild(ResourceBuilder.java:88)[6:org.apache.karaf.features.core:4.0.2]
> 	at org.apache.karaf.features.internal.resolver.ResourceBuilder.build(ResourceBuilder.java:78)[6:org.apache.karaf.features.core:4.0.2]
> 	... 17 more



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message